Package org.drinkless.tdlib

# Class TdApi.PushMessageContent

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent

Direct Known Subclasses:
  `TdApi.PushMessageContentAnimation`, `TdApi.PushMessageContentAudio`, `TdApi.PushMessageContentBasicGroupChatCreate`, `TdApi.PushMessageContentChatAddMembers`, `TdApi.PushMessageContentChatChangePhoto`, `TdApi.PushMessageContentChatChangeTitle`, `TdApi.PushMessageContentChatDeleteMember`, `TdApi.PushMessageContentChatJoinByLink`, `TdApi.PushMessageContentChatJoinByRequest`, `TdApi.PushMessageContentChatSetBackground`, `TdApi.PushMessageContentChatSetTheme`, `TdApi.PushMessageContentChecklist`, `TdApi.PushMessageContentChecklistTasksAdded`, `TdApi.PushMessageContentChecklistTasksDone`, `TdApi.PushMessageContentContact`, `TdApi.PushMessageContentContactRegistered`, `TdApi.PushMessageContentDocument`, `TdApi.PushMessageContentGame`, `TdApi.PushMessageContentGameScore`, `TdApi.PushMessageContentGift`, `TdApi.PushMessageContentGiveaway`, `TdApi.PushMessageContentHidden`, `TdApi.PushMessageContentInviteVideoChatParticipants`, `TdApi.PushMessageContentInvoice`, `TdApi.PushMessageContentLocation`, `TdApi.PushMessageContentMediaAlbum`, `TdApi.PushMessageContentMessageForwards`, `TdApi.PushMessageContentPaidMedia`, `TdApi.PushMessageContentPhoto`, `TdApi.PushMessageContentPoll`, `TdApi.PushMessageContentPollOptionAdded`, `TdApi.PushMessageContentPremiumGiftCode`, `TdApi.PushMessageContentProximityAlertTriggered`, `TdApi.PushMessageContentRecurringPayment`, `TdApi.PushMessageContentScreenshotTaken`, `TdApi.PushMessageContentSticker`, `TdApi.PushMessageContentStory`, `TdApi.PushMessageContentSuggestBirthdate`, `TdApi.PushMessageContentSuggestProfilePhoto`, `TdApi.PushMessageContentText`, `TdApi.PushMessageContentUpgradedGift`, `TdApi.PushMessageContentVideo`, `TdApi.PushMessageContentVideoChatEnded`, `TdApi.PushMessageContentVideoChatStarted`, `TdApi.PushMessageContentVideoNote`, `TdApi.PushMessageContentVoiceNote`

Enclosing class:
  `TdApi`

public abstract static class TdApi.PushMessageContent extends TdApi.Object
This class is an abstract base class. Contains content of a push message notification.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `TdApi.PushMessageContent.Constructors`
  Describes possible values returned by getConstructor().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContent()`
  Default class constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PushMessageContent

    public PushMessageContent()
    Default class constructor.

- ## Method Details

  - ### getConstructor

    public abstract int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      identifier uniquely determining type of the object.